<html>
<head>
<META http-equiv=Content-Language content=zh-cn>
<META http-equiv=Content-Type content="text/html; charset=gb2312">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<link rel="stylesheet" type="text/css" href="../CSS/Base.css">
<link rel="stylesheet" type="text/css" href="../CSS/Common.css">
<style> td { padding:2px 5px 2px 5px;} table { margin-bottom:4px;}</style>
<script language=javascript src="../JS/CheckQuestion.js.php"></script>
<script type="text/javascript" src="../JS/Browser.js.php"></script>
<link href="../CSS/SurveyList.css" rel="stylesheet" type="text/css"/>
<LINK href="../CSS/Window.css" type=text/css rel=stylesheet>
<script type="text/javascript" src="../JS/Common.js.php"></script>
<script type="text/javascript" src="../JS/Window.js.php"></script>
<script type="text/javascript" src="../JS/Jquery.min.js.php"></script>
<script type="text/javascript" src="../JS/Jquery.notification.js.php"></script>
<link type="text/css" rel="stylesheet" href="../CSS/Notification.css" />
<script type="text/javascript" src="../Chart/Swfobject.js.php"></script>
<script language=javascript>
function Check_Form_Validator()
{
   if (!CheckNotNull(document.getElementById("questionID"), "价格研究的问题")) {return false;}
   if (!CheckNotNull(document.getElementById("trueBrand"), "指定哪个是测试品牌")) {return false;}
   if (!CheckNotNull(document.Check_Form.chartWidth, "选定展示的图形大小 - 宽")) {return false;}
   if (!CheckNumber(document.Check_Form.chartWidth, "选定展示的图形大小 - 宽",50,2000)) {return false;}
   if (!CheckNotNull(document.Check_Form.chartHeight, "选定展示的图形大小 - 高")) {return false;}
   if (!CheckNumber(document.Check_Form.chartHeight, "选定展示的图形大小 - 高",50,2000)) {return false;}
}
function ajax_Submit(url,postStr) {
	var ajax=false; 
	try { ajax = new ActiveXObject("Msxml2.XMLHTTP"); }
	catch (e) { try { ajax = new ActiveXObject("Microsoft.XMLHTTP"); } catch (E) { ajax = false; } }
	if (!ajax && typeof XMLHttpRequest!='undefined') ajax = new XMLHttpRequest(); 

	ajax.open("POST", url, true); 
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded"); 
	ajax.send(postStr);
	ajax.onreadystatechange = function(){
		if (ajax.readyState == 4)
		{
			if(ajax.status == 200)
			{
				var theRtnText = ajax.responseText;
				document.getElementById("EGGMapTable").style.display = '';
				document.getElementById("EGGCopyAction").style.display = '';
				document.getElementById("EGGMap").innerHTML = theRtnText;
				exeRuturnScript(theRtnText);
				adjustMenuWarpSize();
				parent.document.getElementById("the_content_iframe").contentWindow.document.body.style.overflowX='auto';
			}
			else
			{
				$.notification('网络传输问题');
			}
		}	
	} 
}
function exeRuturnScript(html) 
{ 
	var reg = /<script[^>]*>([^\x00]+)$/i; 
	var htmlBlock = html.split("<\/script>"); 
	for (var i in htmlBlock) 
	{ 
		var blocks;
		if (blocks = htmlBlock[i].match(reg)) 
		{ 
			var code = blocks[1].replace(/[<]!--/, ''); 
			try 
			{ 
				eval(code);
			} 
			catch (e) { } 
		}
	} 
}
function EGGSubmit()
{
    if( Check_Form_Validator() != false )
	{
		var questionID = document.getElementById('questionID').value;
		var trueBrand = document.getElementById('trueBrand').value;
		var surveyID = document.getElementById('surveyID').value;
		var chartWidth = document.getElementById('chartWidth').value;
		var chartHeight = document.getElementById('chartHeight').value;
		var ParamString = "Action=EGGSubmit";
		ParamString += "&questionID="+questionID;
		ParamString += "&trueBrand="+trueBrand;
		ParamString += "&surveyID="+surveyID;
		ParamString += "&chartWidth="+chartWidth;
		ParamString += "&chartHeight="+chartHeight;
		ParamString += "&dataSource=" + getRadioCheckBoxValue(document.Check_Form.dataSource);
		document.getElementById("EGGMapTable").style.display = '';
		document.getElementById("EGGMap").innerHTML = "<div id=\"preloading\" style=\"background-color:#f0f0f0;width:160px;overflow:hidden;white-space:nowrap;color:black;font-weight:bold;-moz-border-radius-bottomright:5px;-webkit-border-bottom-right-radius:5px;-khtml-border-bottom-right-radius:5px;border-bottom-right-radius:5px;\">&nbsp;<img src=\"..\/Images\/wait.gif\" width=\"16px\" height=\"16px\">&nbsp;正在加载数据分析&nbsp;<\/div>";
		ajax_Submit('ExtendedGG.php',ParamString);
	}
}
function ResetInit()
{
	document.getElementById("EGGMapTable").style.display = 'none';
	document.getElementById("EGGCopyAction").style.display = 'none';
	document.getElementById("EGGMap").innerHTML = '' ;
}
function Init(){
	AjaxShowDataSource({surveyID},1);
	var chartWidth = document.body.clientWidth -160;
	gId('chartWidth').value = chartWidth.toString();;
}
function copycode(obj) {
        
    var theSwfObject = obj.getElementsByTagName("object");
    for (var i=theSwfObject.length; i>=0; i--)
    {
		if( theSwfObject[i] != null )
		{
			theSwfObject[i].removeNode(true);
		}
	}
	var rng = document.body.createTextRange();
    rng.moveToElementText(obj);
    rng.scrollIntoView();
    rng.select();
    rng.execCommand("Copy");
    rng.collapse(false);
	$.notification("复制分析结果到剪贴板成功");
}
function gId(_sId){
	return document.getElementById(_sId);
}
function onChangeQtn()
{
	var questionID = document.getElementById('questionID').value;
	if( questionID != '' )
	{
		AjaxRequest("AjaxEGGChangeQtn.php?questionID="+questionID);
	}
	else
	{
		ResetInit();
	}
}
function AjaxRequest(url)
{
	var http_request = false;
	if(window.ActiveXObject)
	{
		try  // IE
		{
			http_request = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e)
		{
			try
			{
				http_request = new ActiveXObject("Microsoft.XMLHTTP");
			}
			catch (e) {}
		}
	}
	else if(window.XMLHttpRequest)
	{
		// Mozilla, Safari,...
		http_request = new XMLHttpRequest();
		if (http_request.overrideMimeType)
		{
			http_request.overrideMimeType('text/xml');
		}
	}
	
	if (!http_request)
	{
		$.notification("Cannot create an XMLHTTP instance");
		return false;
	}
	http_request.onreadystatechange = function(){
		if (http_request.readyState == 4)
		{
			if(http_request.status == 200)
			{
				var theRtnText = http_request.responseText;
				gId('trueBrandSpan').innerHTML = theRtnText;
			}
			else
			{
				$.notification('网络传输问题');
			}
		}	
	} 
  	http_request.open('GET', url, true);
	http_request.send(null);
}
</script>
</head>
<body oncontextmenu="return false" style="background-color:#244d8f;" onload="javascript:Init();">
<div style="line-height:10px">&nbsp;</div>
<div id="menu">
  <span style="float:left;padding-left:26px;"><div class="navmenu">数据报告中心 &raquo; 推广的Gabor Grancer法</div></span>
  <span style="float:right">
  <ul><li><a href="../System/ShowMain.php">我的问卷</a></li>
      <li class="current"><a href="../Analytics/DataOverview.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">标准报告</a>
      <li><a href="../Analytics/DefineReport.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">自定义报告</a></li>
      <li><a href="../Analytics/DataList.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">回复数据</a></li>
      <li><a href="../Analytics/EventAward.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">调查奖励</a></li>
      <li><a href="../Analytics/PanelArea.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">样本来源</a></li>
      <li><a href="../Analytics/TaskResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">计划任务</a></li>
      <li><a href="../Analytics/SurveyIndexResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">指标分析</a></li>
	  </ul></span>
</div>

<div class="wrap q_clear" id=wrap>
<div>
<div class=content>
<div class=q_clear id=mysurvey><h1>[<font color=red>{surveyTitle}</font>] 推广的Gabor Grancer法</h1><br/></div>
<div id=myname><span class=red>*</span> [ <a onmouseover="this.T_WIDTH=446;this.T_PADDING=0;this.T_BGCOLOR='#ffffff'; return escape('<img src=../Images/Example/example_egg.png width=557 align=center>')" href="javascript:void(0);"><font color=red>调查问题图例</font></a> ] 使用推广的Gabor Grancer法的目的：(1) 测试企业现有产品价格变化对本企业品牌及竞争品牌需求的影响；(2) 确定企业新产品的最优价格并分析价格对新产品需求以及竞争品牌的影响；(3) 测试产品包装和价格变化后对本企业品牌及竞争品牌需求的影响。</div>
<div class="datalist">

<table class=datatable width=100% cellspacing=0 cellpadding=0 style="border-left:0px;border-right:0px">
  <tr>
      <td width=1% noWrap style="border:0px">&nbsp;</td>
      <td width=107 nowrap style="border:0px"><b>选择数据分析方向</b></td>
      <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-left:1px #b5cfd9 solid;border-right:1px #b5cfd9 solid;"><a href="../Analytics/DataOverview.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">回复数据概览</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
      <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/Frequency.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">频数频率分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/DataCross.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">交叉数据分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/OptionsCoeff.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">问卷均值分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/DataChart.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">数据图形展示</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/ChiSquare.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">卡方分布校验</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
 	  <td width=* style="border:0px;border-right:0px;">&nbsp;</td>
 </tr>
  <tr><td colspan=2></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-left:1px #b5cfd9 solid;border-right:1px #b5cfd9 solid;border-bottom:0px"><a href="../Analytics/LinearRegression.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">线性回归分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center>&nbsp;&nbsp;&nbsp;&nbsp;<a href="../Analytics/TURF.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">TURF分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#244d8f" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center><a href="../Analytics/PSM.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:white">价格研究模型</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center><a href="../Analytics/CombOptions.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">合并选项统计</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center><a href="../Analytics/DataMatching.php?Type=1&surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">问卷数据对比</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center>&nbsp;</td>
	  <td width=* style="border:0px;border-right:0px;" colspan=2>&nbsp;</td>
  </tr>
</table>

<table class=datatable width=100% cellspacing=0 cellpadding=0 style="border-left:0px;border-right:0px">
  <tr><td width=1% noWrap style="border:0px">&nbsp;</td>
      <td width=107 nowrap style="border:0px"><b>选择数据分析维度</b></td>
      <td width=110 nowrap bgcolor="#eeeeee" style="border:0px;border-left:1px #b5cfd9 solid;border-right:1px #b5cfd9 solid" align=center>&nbsp;&nbsp;&nbsp;&nbsp;<a href="../Analytics/SimpleGG.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">简单GG法</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#244d8f" style="border:0px;border-right:1px #b5cfd9 solid" align=center>&nbsp;&nbsp;&nbsp;&nbsp;<a href="../Analytics/ExtendedGG.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:white">推广GG法</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" style="border:0px;border-right:1px #b5cfd9 solid" align=center>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="../Analytics/PSM.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">PSM法</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=* style="border:0px">&nbsp;</td>
  </tr>
</table>

 <form name="Check_Form" method="post" action="" onsubmit="return Check_Form_Validator();">

 <script src="../JS/AjaxDataSource.js.php"></script>
 <script>
 function refreshDataSource(){
	AjaxShowDataSource({surveyID},1);
 }
 </script>
	<div id="dataSourceTable"><div id="dataloading" style="background-color:#f0f0f0;width:160px;overflow:hidden;white-space:nowrap;color:black;font-weight:bold;-moz-border-radius-bottomright:5px;-webkit-border-bottom-right-radius:5px;-khtml-border-bottom-right-radius:5px;border-bottom-right-radius:5px;">&nbsp;<img src="../Images/wait.gif" width="16px" height="16px">&nbsp;正在加载数据源...&nbsp;</div></div>

</div>
<div>
  <table style="border-top: #b5cfd9 1px solid;border-bottom: #b5cfd9 1px solid;" width=100% id="datatable" cellspacing=0 cellpadding=0>
   <tr><td height=5></td></tr>
   <tr><td valign=center><b>选定价格研究的问题：</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<select name="questionID" id="questionID" style="width:750px;*width:760px" onChange="javascript:onChangeQtn();">
	       <option value=''>请选择价格研究的问题...</option>
	       {questionList}
		 </select>
    </td></tr>
	<tr><td height=10></td></tr>
	<tr><td><b>指定哪个是测试品牌：&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</b><span id="trueBrandSpan"><select name="trueBrand" id="trueBrand" align=absmiddle style="width:750px;*width:760px"><option value=''>请指定哪个是测试品牌...</option></select></span>
	<tr><td height=10></td></tr>
	<tr><td><b>选定分析结果的图形大小：</b>宽：<input type=text name="chartWidth" id="chartWidth" size=8 value=920>px&nbsp;&nbsp;&nbsp;高：<input type=text name="chartHeight" id="chartHeight" size=8 value=500>px</td></tr>
	<tr><td height=8></td></tr>
	<tr><td>
         <input class=inputsubmit name="submit" type="button" id="submit" value="开始分析" onclick="javascript:EGGSubmit();" > 
         <input class=inputsubmit name="reset" type="reset" id="reset" value="&nbsp;&nbsp;重置&nbsp;&nbsp;" onclick="javascript:ResetInit();" >
		 <input type=hidden name="surveyID" id="surveyID" value="{surveyID}">
      </td>
    </tr>
   <tr><td height=5></td></tr>
  </form>
 </table>
 <table id="EGGCopyAction" width=100% style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;margin-bottom:0px;margin-top:10px" cellSpacing=0 cellPadding=0 borderColor=#b5cfd9 border=0><tr><td align=right bgcolor="#eeeeee" style="border:1px #b5cfd9 solid;border-bottom:0px;height:30px;"><a href="javascript:void(0)" onclick="copycode(gId('copyContent'));"><font color="#444444">复制分析结果到剪贴板</font></a><img src="../Images/list_menu_arrow.gif" border=0>&nbsp;&nbsp;</td></tr></table>

  <table id="EGGMapTable" style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;" cellSpacing=0 cellPadding=0 width="100%" borderColor=#b5cfd9 border=1>
   <tr><td id="EGGMapInner" align=left style="padding-top:5px;padding-bottom:5px"><div id="EGGMap"></div></td></tr>
 </table>

 <br/>
 <span class=red>*</span> 功能“以图片格式导出”可能需要更改IE安全设置方能顺利下载<br/>
 <span class=red>*</span> IE菜单“工具”->“Internet选项“->“安全”->“自定义级别”->启用“文件下载的自动提示”
</div></div></div>
 <script language=javascript src="../JS/Example.js.php"></script>
</body></html>
